%define name jove
%define version 4.16.0.28
%define release 2mdk

Summary: Jonathan's Own Version of Emacs
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: Copyright (C) 1986-1996 by Jonathan Payne, freely redistributable
Packager: Mark Spencer <markster@marko.net>
Group: Editors
Source: %{name}-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-buildroot

%description

Jove is a compact, powerful Emacs-style text-editor. It provides the common
emacs keyboard bindings, together with a reasonable assortment of the most
popular advanced features (e.g. interactive shell windows, compile-it,
language specific modes) while weighing in with CPU, memory, and disk
requirements comparable to vi(1).

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
make SYSDEFS=-DBSDPOSIX JOVEHOME=/usr

(cd doc && tbl intro.nr | groff -Tascii -ms - cmds.nr contents.nr >jove-manual.txt)
(cd doc && tbl intro.nr | groff         -ms - cmds.nr contents.nr >jove-manual.ps)

%install
#make SYSDEFS=-DBSDPOSIX JOVEHOME=/usr install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
#install -m 755 -d $RPM_BUILD_ROOT/usr/lib
#install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}

install -m 755 {jjove,recover,setmaps,teachjove,portsrv} $RPM_BUILD_ROOT/usr/bin/
install -m 644 doc/* $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/ 

%files
%defattr (-,root,root)
/usr/bin/*
#/usr/lib/jove
#/usr/man/man1/*
%dir /usr/doc/%{name}-%{version}
/usr/doc/%{name}-%{version}/*

%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.16.0.28-2mdk
- build release

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Tue Jul 28 1998 <markster@marko.net>
  - Updated to version 4.16.0.28
* Wed May 12 1997 <bet@fcmc.com>
  - Initial wrap
